Require therubyracer during asset compilation
authorTom Hughes <tom@compton.nu>
Mon, 14 Nov 2011 10:09:21 +0000 (10:09 +0000)
committerTom Hughes <tom@compton.nu>
Mon, 14 Nov 2011 10:09:21 +0000 (10:09 +0000)
Gemfile
Gemfile.lock

diff --git a/Gemfile b/Gemfile
index 21b628832c6d5b66862a6b978fb5c4e027f716e5..7b60d70e0375543a47030fcf9201c6aedb891363 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -48,4 +48,5 @@ group :assets do
   gem 'sass-rails', "  ~> 3.1.0"
   gem 'coffee-rails', "~> 3.1.0"
   gem 'uglifier'
+  gem 'therubyracer'
 end
index d2b08ccf3ef4965ee73e3bcb340160657a677fa2..7f82e55327b46eaccb427acdeb18f34beec5381e 100644 (file)
@@ -39,7 +39,7 @@ GEM
     coffee-script (2.2.0)
       coffee-script-source
       execjs
-    coffee-script-source (1.1.2)
+    coffee-script-source (1.1.3)
     composite_primary_keys (4.1.1)
       activerecord (~> 3.1)
     dynamic_form (1.1.4)
@@ -54,6 +54,7 @@ GEM
     httpclient (2.2.3)
     i18n (0.6.0)
     json (1.6.1)
+    libv8 (3.3.10.2)
     libxml-ruby (2.2.2)
     mail (2.3.0)
       i18n (>= 0.4.0)
@@ -114,7 +115,7 @@ GEM
     rake (0.9.2.2)
     rdoc (3.11)
       json (~> 1.4)
-    rinku (1.2.2)
+    rinku (1.4.1)
     rmagick (2.13.1)
     ruby-openid (2.1.8)
     sanitize (2.0.3)
@@ -130,13 +131,15 @@ GEM
       hike (~> 1.2)
       rack (~> 1.0)
       tilt (!= 1.3.0, ~> 1.1)
+    therubyracer (0.9.9)
+      libv8 (~> 3.3.10)
     thor (0.14.6)
     tilt (1.3.3)
     timecop (0.3.5)
     treetop (1.4.10)
       polyglot
       polyglot (>= 0.3.1)
-    tzinfo (0.3.30)
+    tzinfo (0.3.31)
     uglifier (1.0.4)
       execjs (>= 0.3.0)
       multi_json (>= 1.0.2)
@@ -164,6 +167,7 @@ DEPENDENCIES
   rmagick
   sanitize
   sass-rails (~> 3.1.0)
+  therubyracer
   timecop
   uglifier
   validates_email_format_of (>= 1.5.1)